package ${domain}.module.wsys.ent;

import ${domain}.frame.base.BaseEntity;
<#if project.frameValue() == 3>
import com.alibaba.excel.annotation.ExcelProperty;
import ${domain}.frame.excel.annotation.ExcelNote;
import ${domain}.frame.excel.annotation.ExcelSheet;
</#if>

/**
 * DICT_ITEM - 字典项
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2017-01-01
 */
<#if project.frameValue() == 3>
@ExcelSheet("字典项")
</#if>
public class DictItem extends BaseEntity {

    /**
     * DICT_NAME - 字典名称
     */
<#if project.frameValue() == 3>
    @ExcelProperty("字典名称")
    @ExcelNote("字典名称，可为中文或英文，且不能出现重复")
</#if>
    private String dictName;
    /**
     * KEY - 字典键
     */
<#if project.frameValue() == 3>
    @ExcelProperty("字典键")
    @ExcelNote("字典键一般使用数字或字母 01,02... A,B...")
</#if>
    private String key;
    /**
     * VALUE - 字典值
     */
<#if project.frameValue() == 3>
    @ExcelProperty("字典值")
    @ExcelNote("字典值一般是实际意思字符或文字\n 长度在(1-100)之间")
</#if>
    private String value;
    /**
     * SORT - 排序
     */
<#if project.frameValue() == 3>
    @ExcelProperty("字典排序值")
    @ExcelNote("用于标识字典值排列顺序、必须为数字")
</#if>
    private Integer sort;
    /**
     * VALID - 是否有效
     */
<#if project.frameValue() == 3>
    @ExcelProperty("是否有效")
    @ExcelNote("用于标识该字典值是否有效")
</#if>
    private Boolean valid;

    public String getDictName() {
        return this.dictName;
    }

    public void setDictName(String dictName) {
        this.dictName = dictName;
    }

    public String getKey() {
        return this.key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getValue() {
        return this.value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public Integer getSort() {
        return this.sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Boolean getValid() {
        return this.valid;
    }

    public void setValid(Boolean valid) {
        this.valid = valid;
    }
}